package com.bby.otopark2000;

import android.os.Bundle;
import android.preference.PreferenceManager;
import android.app.Activity;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends Activity {

	private Button kaydetButton;
	private EditText parkYeri;
	private SharedPreferences sp;
	private Editor edit;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		kaydetButton = (Button) findViewById(R.id.Kaydet);
		parkYeri = (EditText) findViewById(R.id.parkYeri);
		sp = PreferenceManager.getDefaultSharedPreferences(MainActivity.this);
		edit = sp.edit();

		kaydetButton.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				edit.putString("Anahtar", parkYeri.getText().toString());
				edit.commit();

			}
		});

		Toast.makeText(MainActivity.this, sp.getString("Anahtar", "Kayt yok"),
				Toast.LENGTH_LONG).show();
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
